/**
 * Module de tracking pour generer les url de tracking
 *
 * @version 1.5.1 @revision jcc le 21/11/2016
 * Correction dans l'envoi du numero de version
 *
 * @version 1.5.0 @revision jcc le 09/11/2016
 * Ajout du numero de version
 *
 * @version 1.4.0 @revision jcc le 23/05/2016
 * Utilisation des fonctions xiti
 *
 * @version 1.3.3 @revision am le 31/07/2014
 * Modification de l URL, des parametres s et s2 et suppression des & en fin d URL
 *
 * @version 1.3.2 @revision
 * Correction URL
 * Ajout méthodes trackClick et trackPage
 *
 * @version 1.3.1 @revision
 * Déplacement des directives dans le code métier
 *
 * @version 1.3.0 @revision lwei le 05/05/2014
 * Utilisation :
 *  - Pour changer le mode de tracking (envoyer ou tracer), changer la valeur de Tracking.mode:
 * @exemple
 		Tracking.mode = Traking.MODE_TRACER;

 * @namespace Tracking
 */


var Tracking = {

	/**
	 * constante MODE_TRACER pour tracer uniquement les stats dans la log
	 */
	MODE_TRACER: "tracer",

	/**
	 * constante MODE_TRACER pour envoyer les stats vers le serveur Xiti
	 */
	MODE_ENVOYER: "envoyer",

	/**
	 * mode par défaut = envoyer stats vers le serveur Xiti
	 */
	mode: this.MODE_ENVOYER,

	/**
	 * constante XITI_PROD pour envoyer les stats vers le serveur Xiti de production
	 */
	XTSITE_PROD: "544063",

	/**
	 * tag xiti par défaut = envoyer stats vers le serveur Xiti prod
	 */
	site: this.XTSITE_PROD,

	/**
	 * propriete n2, voir MOE pour la valeur
	 */
	n2: "1",

	/**
	 * propriete sd, voir MOE pour la valeur
	 */
	sd: "",

	/**
	 * Version de l'application
	 */
	versionApplication: "",

	/**
	 * Exécute un track de click selon le mode configuré
	 * @function trackClick
	 * @param codePage+
	 */
	trackClick: function(codePage, type) {
		if (Tracking.mode === Tracking.MODE_TRACER) {
		} else {
			return xt_click(this, 'C', this.n2, codePage + window.xt_multc, type);
		}
	},

	/**
	 * Exécute un track de page selon le mode configuré
	 * @function trackPage
	 * @param codePage
	 */
	trackPage: function(codePage) {
		if (Tracking.mode === Tracking.MODE_TRACER) {
		} else {
			return xt_click(this, 'F', this.n2, codePage + window.xt_multc);
		}
	},

	init: function() {
		window.xtnv = document;        //parent.document or top.document or document
		window.xtsd = this.sd;
		window.xtsite = this.site; //si PROD alors xtsite = "544063" sinon xtsite="570802"
		window.xtn2 = this.n2;        // level 2 site ID
		window.xtpage = "";        //page name (with the use of :: to create chapters)
		window.xtdi = "";        //implication degree
		window.xt_multc = "&x1=" + this.versionApplication;		//all the xi indicators (like "&x1=...&x2=....&x3=...")
		window.xt_an = "";        //user ID
		window.xt_ac = "";        //category ID
		//do not modify below
		if (window.xtparam!=null){window.xtparam+="&ac="+window.xt_ac+"&an="+window.xt_an+window.xt_multc;}
		else{window.xtparam="&ac="+window.xt_ac+"&an="+window.xt_an+window.xt_multc;};

	}

};

