/**
 * classe utilitaires pour les pages éditoriales
 */

var EditorialUtils = (function(){

	var exports = {};

	exports.closeAllAccordeons = function (){
		$('[data-servicetpl="faq"] .answer-wrapper').css('height', 'auto');
		$('[data-servicetpl="faq"] h4.open').removeClass('open');
	};

	exports.openAllAccordeons = function (){
		$('[data-servicetpl="faq"] .answer-wrapper').css('height', 'auto');
		$('[data-servicetpl="faq"] h4').addClass('open');
	};

	/**
	* @function setAccordionEvent permet de positionner l'évenement touch click
	* sur les accordeons de l'aide des pages edito
	* @param callback : fonction a executer une fois le traitement réalisé
	*/
	exports.setAccordionEvent = function(idIscroll, callback) {

		function closeAccordeon(accordeon){
			accordeon.removeClass('open');
			accordeon.find('.answer-wrapper')
						.css('height', 0);
		}

		$('[data-servicetpl="faq"]').on("touch click",".question", function(e) {
			e.preventDefault();

			var $parent = $(this).parent(),
				transitionDuration = parseFloat($('.answer-wrapper', $parent).css('transition-duration'), 10) * 1000 ,
				wrapContent = $("#" + idIscroll),
				scrollDuration = 200;

			// Si l'accordéon est déjà ouvert,
			if($parent.hasClass('open')){
				// on le ferme
				closeAccordeon($parent);
				// Et on arrête là
				return;
			} else {
				// Sinon
				// On ferme tous les accordéons qui sont ouverts
				$("#digitas-newservices .faq").find('.question-wrapper.open').each(function(){
					closeAccordeon($(this));
				});
			}

			// Ensuite on ouvre l'accordéon cliqué
			// Avec une animation
			$parent.find('.answer-wrapper')
				.css("height", $parent.find(".answer").outerHeight())
				.attr('aria-hidden', 'false');

			$parent.addClass("open");

			// A la fin de l'animation on vérifie si l'élément s'ouvre
			setTimeout(function(){
				/* @note Ano 10551 : remonte la question en haut de page uniquement si la réponse ne rentre pas dans la hauteur de l'écran
				   Coordonnée Y du bas de la réponse ouverte */
				var reponseBottomCoordY = $parent.offset().top + $parent.height();
				/* @note Coordonnée Y du bas de l'écran == window.height() */
				var windowBottomCoordY = $(window).height() - $("[id^='lbptab-navigation']:visible").height();
				/* @note Si coordonnée Y du bas de la réponse > coordonnée Y du bas de l'écran : question remonte en haut de l'écran */
				if (reponseBottomCoordY > windowBottomCoordY) {
					wrapContent.animate({
						scrollTop: $parent.offset().top + wrapContent.scrollTop() - $("[id^='lbptab-navigation']:visible").height()
					}, scrollDuration);
				}
				// Fiche 10551 : calcul de la hauteur pour scroll
				utilitaire.mesureHeightContenu("iscroll-editorial-aide", "contenu");

			}, transitionDuration + 200);

		});
		if($.isFunction(callback)){
			// Le timer est nécessaire pour le calcul de la taille
			setTimeout( function (){
				callback();
			}, 700);
		}
	};

	return exports;

})();
